	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var SEARCH_IS_STORE_CMB = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE_CUSTOM()
	{
		if
		(
			JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_IS_STORE_CMB") && 
			JSOC_CMB.VAR_SELECTED_INDEX("SEARCH_REC_INVENTORY_ACC_GROUP_ID_CMB") <= 0
		)
		{
			SEARCH_IS_STORE_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_IS_STORE_CMB");      	
			SEARCH_IS_STORE_CMB.onchange = function()
			{
				// Initialize
				// _______________________________________________________________________	
				var SEARCH_MODE = JSVC_NUM.VAR_NVALL(JSOC_CMB.VAR_SELECTED_VALUE(SEARCH_IS_STORE_CMB));
				var CURRENT_MODE = 0;
				var ROW_MAX = INVENTORY_DGV.ROW.COUNT();
				var ROW_INDEX = 0;


				// Show / Hide rows 
				// _______________________________________________________________________	
				while(ROW_MAX > ROW_INDEX)
				{
					// Current Store Mode
					// ...........................................
					CURRENT_MODE = JSVC_NUM.VAR_NVALL(INVENTORY_DGV.CELL.VALUE("CAT_STORAGE_IS_INCORDER", ROW_INDEX));
					if(CURRENT_MODE != 2)
					{
						CURRENT_MODE = JSVC_NUM.VAR_NVALL(INVENTORY_DGV.CELL.VALUE("CAT_STORAGE_IS_STORE", ROW_INDEX));
						if(CURRENT_MODE == 2)
						{
							CURRENT_MODE = 1;
						}
						else
						{
							CURRENT_MODE = 0;
						}
					}
					
					// Filter by option : Show All, Store, Incoming-Storage
					// ...........................................
					if
					(
						SEARCH_MODE <= 0 ||
						(
							SEARCH_MODE == 1 == CURRENT_MODE
						)
					)
					{
						JSOC_STYLE.VAR_DISPLAY
						(
							INVENTORY_DGV.ROW.ELEMENT(ROW_INDEX),
							"DEFAULT"
						);
					}
					
					// Filter-out
					// ...........................................
					else
					{
						JSOC_STYLE.VAR_DISPLAY
						(
							INVENTORY_DGV.ROW.ELEMENT(ROW_INDEX),
							"NONE"
						);							
					}
					ROW_INDEX ++;
				}
			};						
		}
	};
	
	
	FORM_INITIALIZE_CUSTOM();
	